跳转到主要内容
POST
/
v3
/
enterprise
/
pr-reviews
触发 Devin Review
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/pr-reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pr_url": "<string>"
}
'
{
  "commit_sha": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "pr_number": 123,
  "repo_path": "<string>",
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

权限

需要一个在企业级拥有 UseReviewManual 权限的服务用户。

授权

Authorization
string
header
必填

服务用户凭据(前缀:cog_)

请求体

application/json
pr_url
string
必填

要审查的拉取/合并请求的完整 URL(例如 https://github.com/owner/repo/pull/123)。

示例:

"https://github.com/owner/repo/pull/123"

响应

成功响应

commit_sha
string
必填

将被审查的 PR 头部提交的 SHA。

created_at
string<date-time>
必填

审查被接受的时间。

pr_number
integer
必填

拉取/合并请求编号。

repo_path
string
必填

规范化的带主机前缀的代码仓库路径(例如 github.com/owner/repo)。

status
enum<string>
必填

当前审查状态。新接受的审查初始状态为 pending

可用选项:
pending,
running,
completed,
errored